View Issue Details

IDProjectCategoryView StatusLast Update
0004130Talermerchant frontend (donations)public2016-09-26 14:01
ReporterFlorian Dold Assigned ToMarcello Stanisci  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.0Fixed in Version0.0 
Summary0004130: merchant test api missing
DescriptionThe (test/demo) merchant should have a simple but well-defined and documented API to create contracts without having to run JavaScript.

This facilitates automatic testing of the wallet.
TagsNo tags attached.

Relationships

related to 0004129 closedMarcello Stanisci bank test api missing 

Activities

Marcello Stanisci

2016-01-22 13:48

viewer   ~0010077

Contract generation is available at:

merchant-base-URL/test/contract
and
merchant-base-URL/test/contract/frontend (this tests only the frontend, without
forwarding the proposition to the backend)

Issue History

Date Modified Username Field Change
2016-01-11 02:54 Florian Dold New Issue
2016-01-11 02:54 Florian Dold Status new => assigned
2016-01-11 02:54 Florian Dold Assigned To => Marcello Stanisci
2016-01-11 02:55 Florian Dold Relationship added related to 0004129
2016-01-22 13:48 Marcello Stanisci Note Added: 0010077
2016-01-22 13:48 Marcello Stanisci Status assigned => resolved
2016-01-22 13:48 Marcello Stanisci Resolution open => fixed
2016-01-22 15:52 Christian Grothoff Status resolved => closed
2016-02-17 03:24 Florian Dold Category merchant frontend (demonstrator) => merchant frontend (donations)
2016-09-26 14:00 Christian Grothoff Fixed in Version => 0.0
2016-09-26 14:01 Christian Grothoff Target Version => 0.0